Method: organizationSnapshotRecycleBinPolicy.get

Returns the specified SnapshotRecycleBinPolicy.

HTTP request


GET https://compute.googleapis.com/compute/beta/{organization=organizations/*}/global/snapshotRecycleBinPolicy

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
organization

string

Organization ID for this request.

Request body

The request body must be empty.

Response body

Represents the singleton resource Snapshot Recycle Bin Policy that configures the retention duration for snapshots in the recycle bin.

You can configure the retention duration for snapshots in the recycle bin at the project or organization level. If you configure the policy at the organization level, all projects in that organization will share the same policy. If you configure the policy at the project level it will be merged with org level policy (if any) and the snapshots in that project will use that policy.

If successful, the response body contains data with the following structure:

JSON representation
{
  "rules": {
    string: {
      "standardSnapshots": {
        "retentionDurationDays": string
      }
    },
    ...
  },
  "systemRules": {
    string: {
      "standardSnapshots": {
        "retentionDurationDays": string
      }
    },
    ...
  }
}
Fields
rules[]

map (key: string, value: object)

The rules for the snapshot recycle bin policy. The key is either 'default' or namespacedName of the TagValue which can be in the format: {organizationId}/{tag_key_short_name}/{tag_value_short_name} or {projectId}/{tag_key_short_name}/{tag_value_short_name} or {projectNumber}/{tag_key_short_name}/{tag_value_short_name}. The default rule is applied if snapshots do not have any of these tags. The value is the rule for the key.

rules[].standardSnapshots

object

The rule config for standard snapshots.

rules[].standardSnapshots.retentionDurationDays

string (int64 format)

The retention duration for snapshots in the recycle bin after which the snapshots are automatically deleted from recycle bin.

systemRules[]

map (key: string, value: object)

Output only. The system rules for snapshot recycle bin policy. Defines the default rule that applies if no customer-defined rule matches.

systemRules[].standardSnapshots

object

The rule config for standard snapshots.

systemRules[].standardSnapshots.retentionDurationDays

string (int64 format)

The retention duration for snapshots in the recycle bin after which the snapshots are automatically deleted from recycle bin.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.snapshotRecycleBinPolicy.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.